AC_INIT([markov-proj], [0.42], [tsuna@lrde.epita.fr])
AC_CONFIG_AUX_DIR([build-aux])
AM_INIT_AUTOMAKE([foreign])

AC_ARG_WITH([oln],
   [AS_HELP_STRING([--with-oln=DIR],
                   [path to the mln folder of Olena])],
   [test -d "$with_oln/mln" ||
     AC_MSG_ERROR([Cannot find a directory named 'mln' under '$with_oln'])
   AC_SUBST([CPPFLAGS], ["$CPPFLAGS -I$with_oln"])])dnl

AC_PROG_CXX
AC_LANG_PUSH([C++])dnl

# Check a couple of headers from Milena, to make sure the installation of
# Olena we have been given is complete.
AC_CHECK_HEADERS([mln/core/image2d.hh mln/value/rgb8.hh],
  [:], [AC_MSG_ERROR([You are missing a header of Milena])])

# Add some warnings with g++
case $GXX in #(
  yes)
   AC_SUBST([CXXFLAGS],
            ["$CXXFLAGS -Wall -W -Wconversion -ggdb -D_GLIBCXX_DEBUG"])
   ;;
esac

BOOST_REQUIRE([1.34])
BOOST_CONVERSION

AC_LANG_POP([C++])dnl

AC_CONFIG_HEADERS([src/config.h])

AC_CONFIG_FILES([
  Makefile
    src/Makefile
    src/markov/Makefile
])

AC_OUTPUT
